#ifndef PROTOTYP_H
#define PROTOTYP_H

#include "common.h"
#include "qsize.h"
#include "parm.h"

void sound_g728_pwf_adapter (sound_g728_t *this, real input[], real  z_out[], real  p_out[]);
void sound_g728_init_pwf_adapter(sound_g728_t *this, real  z_co[], real  p_co[]);
void sound_g728_bsf_adapter (sound_g728_t *this, real input[], real p_out[]);
void sound_g728_gain_adapter(sound_g728_t *this, real log_gain[], real  coeff[]);
void sound_g728_init_bsf_adapter(sound_g728_t *this, real co[]);
void sound_g728_init_gain_adapter (sound_g728_t *this, real coeff[]);

void sound_g728_iresp_vcalc(sound_g728_t *this, real COEFF_MEM sf_co[], real COEFF_MEM pwf_z_co[], real COEFF_MEM pwf_p_co[], real h[]);
void sound_g728_shape_conv(sound_g728_t *this, real h[], real shen[]);
void sound_g728_shape_conv(sound_g728_t *this, real h[], real shen[]);
void sound_g728_trev_conv(sound_g728_t *this, real h[], real target[], real pn[]);
void sound_g728_cb_excitation (sound_g728_t *this, int ix, real v[]);
int sound_g728_cb_index (sound_g728_t *this, real pn[]);

void sound_g728_pwfilter2(sound_g728_t *this, real QMEM input[], real output[]);
void sound_g728_sf_zresp(sound_g728_t *this, real output[]);
void sound_g728_pwf_zresp(sound_g728_t *this, real input[], real output[]);
void sound_g728_zresp(sound_g728_t *this, real output[]);
void sound_g728_mem_update (sound_g728_t *this, real input[], real output[]);
real sound_g728_predict_gain(sound_g728_t *this);
void sound_g728_update_gain(sound_g728_t *this, real input[], real *lgp);
void sound_g728_init_gain_buf(sound_g728_t *this);

void sound_g728_inv_filter(sound_g728_t *this, real input[]);
void sound_g728_postfilter(sound_g728_t *this, real input[], real output[]);
void sound_g728_psf_adapter(sound_g728_t *this, real frame[]);
void sound_g728_compute_sh_coeff(sound_g728_t *this);
void sound_g728_init_postfilter(sound_g728_t *this);

#endif /*PROTOTYP_H*/
